[Variables]
PlayerName=Aimp

[MeasureCurrentTrackName]
Measure=Plugin
Plugin=Plugins\iTunesPlugin.dll
Command=GetCurrentTrackName
Substitute="":"Nothing Playing"



[MeasureTrack]
Measure=Plugin
Plugin=NowPlaying.dll
PlayerName=#PlayerName#
PlayerType=Title
DisableLeadingZero=1



[MeasureBar]
Measure=Plugin
Plugin=NowPlaying.dll
PlayerName=#PlayerName#
PlayerType=Progress

[MeasurePlayPause]
Measure=Plugin
Plugin=NowPlaying.dll
PlayerName=#PlayerName#
PlayerType=State
Substitute="0":"4","1":";","2":"4"

[mVolume]
Measure=Plugin
Plugin=NowPlaying.dll
PlayerName=#PlayerName#
PlayerType=Volume

[mPosition]
Measure=Plugin
Plugin=NowPlaying.dll
PlayerName=#PlayerName#
PlayerType=POSITION

[mDuration]
Measure=Plugin
Plugin=NowPlaying.dll
PlayerName=#PlayerName#
PlayerType=DURATION




;----------METERS------------



[Colors]
Meter=Image
SolidColor=0,0,0,130
W=170
H=120
Y=35
Hidden=1
Group=Hover

[Cover]
Meter=Image
SolidColor=0,0,0,130
W=90
H=90
X=10
Y=45
LeftMouseDownAction=!Execute [!RainmeterPluginBang "MesureToggleiTunes"]
Hidden=1
Group=Hover

[MeasureCurrentTrackArtwork]
Measure=Plugin
Plugin=Plugins\iTunesPlugin.dll
Command=GetCurrentTrackArtwork
DefaultArtwork=img\DefaultArtwork.png

[MeterCurrentTrackArtwork]
Meter=IMAGE
MeasureName=MeasureCurrentTrackArtwork
X=r
Y=r
W=90
H=90
ImageName="%1"
AntiAlias=1
LeftMouseDownAction=!Execute [!RainmeterPluginBang "MesureToggleiTunes"]
Hidden=1
Group=Hover

[Back]
Meter=Image
ImageName=backb.png
W=90
X=80
Antialias=1 


[MeterBackground]
Meter=ROUNDLINE
MeasureName=MeasurePlayerPositionPercent
X=168
Y=94
StartAngle=-1.5707963
RotationAngle=-3.1415926
LineLength=51
LineStart=55
LineColor=120,200,255
Solid=1
AntiAlias=1

[Top]
Meter=Image
ImageName=topb.png
X=80
W=90
Antialias=1





[MeterCurrentTrack]
Meter=STRING
MeasureName=MeasureCurrentTrackName
X=120
W=110
H=17
Y=135
FontColor=255, 255, 255
FontSize=10
StringEffect=Shadow
StringEffectColor=40,40,40,100
FontFace=Calibri
StringAlign=Right
ClipString=1
AntiAlias=1
Hidden=1
Group=Hover















------------------------------------------------------------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------------------------------------------------------------

[Prevb]
Meter=STRING
X=128
Y=58
FontColor=0,0,0,130
StringStyle=BOLD
FontSize=11
StringAlign=LEFT
FontFace=Webdings
AntiAlias=1
Text="7"


[Prev]
Meter=STRING
X=r
Y=1r
FontColor=120,200,255
StringStyle=BOLD
FontSize=11
StringAlign=LEFT
FontFace=Webdings
AntiAlias=1
Text="7"
LeftMouseDownAction=!Execute [!RainmeterPluginBang "MeasureTrack Previous"]

[PlayPauseb]
Meter=STRING
X=116
Y=88
FontColor=0,0,0,130
StringStyle=BOLD
FontSize=11
StringAlign=LEFT
FontFace=Webdings
AntiAlias=1
Text=[MeasurePlayPause]
DynamicVariables=1

[PlayPause]
Meter=STRING
X=r
Y=1r
FontColor=120,200,255
StringStyle=BOLD
FontSize=11
StringAlign=LEFT
FontFace=Webdings
AntiAlias=1
Text=[MeasurePlayPause]
DynamicVariables=1
LeftMouseDownAction=!Execute [!RainmeterPluginBang "MeasureTrack PlayPause"]


[Nextb]
Meter=STRING
X=128
Y=112
FontColor=0,0,0,130
StringStyle=BOLD
FontSize=11
StringAlign=LEFT
FontFace=Webdings
AntiAlias=1
Text="8"


[Next]
Meter=STRING
X=r
Y=1r
FontColor=120,200,255
StringStyle=BOLD
FontSize=11
StringAlign=LEFT
FontFace=Webdings
AntiAlias=1
Text="8"
LeftMouseDownAction=!Execute [!RainmeterPluginBang "MeasureTrack Next"]


==================================================================================================



[MeasurePlayerPositionPercent]
Measure=Plugin
Plugin=Plugins\iTunesPlugin.dll
Command=GetPlayerPositionPercent
MaxValue=100

[Timeb]
Meter=STRING
MeasureName=mPosition
X=152
Y=98
W=70
H=16
FontFace=Calibri
fontSize=9
StringAlign=Center
StringStyle=Bold
FontColor=0,0,0,130
AntiAlias=1
ClipString=1

[Time]
Meter=STRING
MeasureName=mPosition
X=r
Y=1r
W=70
H=16
FontFace=Calibri
fontSize=9
StringAlign=Center
StringStyle=Bold
FontColor=120,200,255
AntiAlias=1
ClipString=1
LeftMouseDownAction=!Execute [!RainmeterPluginBang "MesureToggleiTunes"]


=========================================================================================================================

[MesureToggleiTunes]
Measure=Plugin
Plugin=Plugins\iTunesPlugin.dll
Command=ToggleiTunes

[Toggle]
Meter=Image
X=136
Y=69
W=34
ImageName=itunesbb.png
AntiAlias=0
LeftMouseUpAction=!execute [!RainmeterShowMeterGroup Hover][!RainmeterRedraw]

[Startover]
Meter=IMAGE
X=r
Y=r
W=36
H=32
SolidColor=0,0,0,1
AntiAlias=0
LeftMouseUpAction=!execute [!RainmeterHideMeterGroup Hover][!RainmeterRedraw]
Hidden=1
Group=Hover
